| Apache Ignite C++

Public Member Functions | List of all members
ignite::cache::CacheEntryEvent< K, V > Class Template Reference

Cache entry event class template. More...

`#include <cache_entry_event.h>`

Inheritance diagram for ignite::cache::CacheEntryEvent< K, V >:

## Public Member Functions
| CacheEntryEvent ()
| Default constructor. More...
| CacheEntryEvent (const CacheEntryEvent< K, V > &other)
| Copy constructor. More...
virtual | ~CacheEntryEvent ()
| Destructor.
CacheEntryEvent & | operator= (const CacheEntryEvent< K, V > &other)
| Assignment operator. More...
const V & | GetOldValue () const
| Get old value. More...
bool | HasOldValue () const
| Check if the old value exists. More...
void | Read (binary::BinaryRawReader &reader)
| Reads cache event using provided raw reader. More...
Public Member Functions inherited from ignite::cache::CacheEntry< K, V >
| CacheEntry ()
| Default constructor. More...
| CacheEntry (const K &key, const V &val)
| Constructor. More...
| CacheEntry (const CacheEntry &other)
| Copy constructor. More...
| CacheEntry (const std::pair< K, V > &p)
| Constructor. More...
virtual | ~CacheEntry ()
| Destructor.
CacheEntry & | operator= (const CacheEntry &other)
| Assignment operator. More...
const K & | GetKey () const
| Get key. More...
const V & | GetValue () const
| Get value. More...
bool | HasValue () const
| Check if the value exists. More...

## Additional Inherited Members
Protected Attributes inherited from ignite::cache::CacheEntry< K, V >
K | key
| Key. More...
V | val
| Value. More...
bool | hasValue
| Indicates whether value exists.

## Detailed Description

### template<typename K, typename V>
class ignite::cache::CacheEntryEvent< K, V >

Cache entry event class template.

Both key and value types should be default-constructable, copy-constructable and assignable.

## Constructor & Destructor Documentation

## ◆ CacheEntryEvent() [1/2]

template<typename K, typename V>

ignite::cache::CacheEntryEvent< K, V >::CacheEntryEvent | ( |  | ) |
| inline

Default constructor.

Creates instance with all fields default-constructed.

## ◆ CacheEntryEvent() [2/2]

template<typename K, typename V>

ignite::cache::CacheEntryEvent< K, V >::CacheEntryEvent | ( | const CacheEntryEvent< K, V > & | other | ) |
| inline

Copy constructor.

Parameters

  other | Other instance.

## Member Function Documentation

## ◆ GetOldValue()

template<typename K, typename V>

const V& ignite::cache::CacheEntryEvent< K, V >::GetOldValue | ( |  | ) | const
| inline

Get old value.

Returns
  Old value.

## ◆ HasOldValue()

template<typename K, typename V>

bool ignite::cache::CacheEntryEvent< K, V >::HasOldValue | ( |  | ) | const
| inline

Check if the old value exists.

Returns
  True, if the old value exists.

## ◆ operator=()

template<typename K, typename V>

CacheEntryEvent& ignite::cache::CacheEntryEvent< K, V >::operator= | ( | const CacheEntryEvent< K, V > & | other | ) |
| inline

Assignment operator.

Parameters

  other | Other instance.

Returns
  *this.

## ◆ Read()

template<typename K, typename V>

void ignite::cache::CacheEntryEvent< K, V >::Read | ( | binary::BinaryRawReader & | reader | ) |
| inline

Reads cache event using provided raw reader.

Parameters

  reader | Reader to use.

The documentation for this class was generated from the following file:

- cache_entry_event.h